﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Threading;

namespace SimpleOsm
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Maps = new ObservableCollection<DisposeMapControl.MapControl>();
            DataContext = this;
        }

        public ObservableCollection<DisposeMapControl.MapControl> Maps { get; set; }

        private void AddMap_OnClick(object sender, RoutedEventArgs e)
        {
            Maps.Add(new DisposeMapControl.MapControl());
        }

        private void RemoveMap_OnClick(object sender, RoutedEventArgs e)
        {
            if (Maps.Count > 0)
            {
                var map = Maps[0];
                Maps.RemoveAt(0);
                map.Dispose();
            }
        }
    }
}
