using System.Windows.Media;
using Telerik.Windows.Controls.Map;

namespace DisposeMapControl
{
    public class MapItem
    {
        public Location Location { get; set; }

        public LocationCollection MapPoints { get; set; }

        public MapShapeFill ShapeFill
        {
            get
            {
                return new MapShapeFill
                {
                    Fill = new SolidColorBrush(Colors.Pink),
                    Stroke = new SolidColorBrush(Colors.Red),
                    StrokeThickness = 1,
                };
            }
        }
    }
}